grplot: lazy statistical data visualization
=======================================

grplot is a Python visualization library based on numpy, matplotlib, seaborn, squarify, and pandas. It supports human laziness in drawing complete and attractive statistical graphs.


Documentation
-------------

Documentation can be accesed through python:

	help(grplot)

Online documentation is available at [grplot repository](https://github.com/ghiffaryr/grplot).

Dependencies
------------

grplot supports Python 3.7+.

Installation requires [numpy](https://numpy.org), [matplotlib](https://matplotlib.org), [seaborn](https://seaborn.pydata.org), [squarify](https://github.com/laserson/squarify), and [pandas](https://pandas.pydata.org). Some functions will optionally use [scipy](https://www.scipy.org/) and/or [statsmodels](https://www.statsmodels.org/) if they are available.


Installation
------------

The latest stable release (and required dependencies) can be installed from PyPI:

    pip install grplot

It is also possible to include optional dependencies:

    pip install grplot[all]

Development
-----------

grplot development takes place on Github: https://github.com/ghiffaryr/grplot/tree/dev

Please submit bugs that you encounter to the [issue tracker](https://github.com/ghiffaryr/grplot/issues) with a reproducible example demonstrating the problem.

